#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/drivers
DEST3=/mnt/mtdblock/data

ifconfig eth0 192.168.1.201 up

ALGOLIB=/mnt/mtdblock/lib/libzkfp.so.3.5.1
ALGOLIB=/mnt/mtdblock/lib/libzkfp.so.3.5.1
export FPSENSORLIB_PATH=/mnt/mtdblock/lib/fpsensor_lib
if [ -f  /mnt/mtdblock/lib/libfpsensor.so ]; then
ln -s /mnt/mtdblock/lib/libfpsensor.so /lib/libfpsensor.so -f
fi

ln -s $DEST/lib/libzkfp.so.3.5.1 /lib/libzkfp.so.3 -f
ln -s $DEST/lib/libzkfp.so.3.5.1 /lib/libzkfp.so -f
ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f
ln -s $DEST/lib/libpthread.so /lib/libpthread.so.0 -f
ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f
ln -s $DEST/lib/libstdc++.so.6.0.8 /lib/libstdc++.so.6 -f
ln -s $DEST/lib/libgcc_s.so.1 /lib/libgcc_s.so.1 -f
ln -s $DEST/lib/libttf.so /lib/libttf.so -f
ln -s $DEST/lib/libhttppush.so /lib/libhttppush.so -f
ln -s /mnt/mtdblock/libdlcl.so /lib/libdlcl.so -f

mknod /dev/video0 c 81 0
mknod /dev/uba  b 180 0 
mknod /dev/uba1 b 180 1
mknod /dev/uba2 b 180 2
mknod /dev/ubb  b 180 8
mknod /dev/ubb1 b 180 9
mknod /dev/ubb2 b 180 10
mknod /dev/ubc  b 180 16
mknod /dev/ubc1 b 180 17
mknod /dev/ubc2 b 180 18
mknod /dev/ubd  b 180 24
mknod /dev/ubd1 b 180 25
mknod /dev/ubd2 b 180 26
mknod /dev/ube  b 180 32
mknod /dev/ube1 b 180 33
mknod /dev/ube2 b 180 34
mknod /dev/ubf  b 180 40
mknod /dev/ubf1 b 180 41
mknod /dev/ubf2 b 180 42
mknod /dev/ubg  b 180 48
mknod /dev/ubg1 b 180 49
mknod /dev/ubg2 b 180 50
mount  -t usbfs none /proc/bus/usb

if [ -f  /mnt/mtdblock/drivers/gspca.ko ]; then
        insmod /mnt/mtdblock/drivers/gspca.ko
fi
if [ -f  /mnt/mtdblock/lib/libfpsensor.so ]; then
ln -s /mnt/mtdblock/lib/libfpsensor.so /lib/libfpsensor.so -f
fi
if [ -f  /mnt/mtdblock/lib/libjpeg.so ]; then
ln -s /mnt/mtdblock/lib/libjpeg.so /lib/libjpeg.so.62 -f
fi
if [ -f $DEST/lib/libzkfp.so.4.0.0 ]; then
    cd $DEST/lib && gunzip libzkfp.so.4.0.0 -f  && sync
fi

if [ -f $DEST/libwebserver.tgz ]; then
  cd /lib && tar -zxvf $DEST/libwebserver.tgz
fi

if [ -f /mnt/mtdblock/libwebserver_a.so ]; then
        ln -s /mnt/mtdblock/libwebserver_a.so /lib/libweb.so -f
fi

if [ -d $DEST/data/ ]; then
    if [ -f $DEST3/extlog.dat ]; then
        echo "extlog in /mnt/mtdblock/data"
    else
        if [ -f $DEST/extlog.dat ]; then
            mv $DEST/extlog.dat $DEST/data/ && cd $DEST && rm $DEST/extlog.dat && sync
        fi
    fi
fi

if [ -d $DEST/data/ ]; then
    if [ -f $DEST3/transaction.dat ]; then
        echo "transaction in /mnt/mtdblock/data"
    else
        if [ -f $DEST/transaction.dat ]; then
            mv $DEST/transaction.dat $DEST/data/ && cd $DEST && rm $DEST/transaction.dat && sync
        fi
    fi
fi
                                                
if [ -f $DEST/mainwav ]; then
        cd $DEST && chmod u+x $DEST/mainwav && $DEST/mainwav
fi

if [ -f $DEST/playwav ]; then
     cd $DEST && chmod u+x $DEST/playwav && $DEST/playwav E_0.wav;
fi

if [ -f $DEST/drivers/hv7131.ko ]; then
     insmod $DEST/drivers/hv7131.ko
fi

if [ -f $DEST2/cim.ko ]; then
        insmod $DEST2/cim.ko 
fi

if [ -f $DEST2/dummy.ko ]; then
        insmod $DEST2/dummy.ko 
fi

if [ ! -c /dev/ttygs ]; then
	mknod /dev/ttygs c 127 0
fi

if [ -f $DEST2/nand_drv.ko ]; then
        insmod $DEST2/nand_drv.ko 
fi

if [ -f $DEST2/jz4730_udc.ko ]; then
        insmod $DEST2/jz4730_udc.ko
fi

if [ -f $DEST2/g_serial.ko ]; then
        insmod $DEST2/g_serial.ko use_acm=1
fi

if [ -f /mnt/mtdblock/rt73.ko ]; then
        cd /mnt/mtdblock/drivers && rm jz4730_udc.ko g_serial.ko -f && sync
fi

if [ -f /mnt/mtdblock/rt73.ko ]; then
        insmod /mnt/mtdblock/rt73.ko
fi

rm -rf /etc/rt73sta.dat

if [ -f $DEST/usbpower.zem500 ]; then
	chmod u+x $DEST/usbpower.zem500 && $DEST/usbpower.zem500
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi

if [ -f $DEST/main ]; then
	 chmod u+x $DEST/main && cd $DEST && $DEST/main&
fi

if [ -f $DEST/inbiocomm ];then
	chmod u+x $DEST/inbiocomm && cd $DEST && $DEST/inbiocomm&
fi
	
if [ -f $DEST/data/wdt_new ]; then
	cd $DEST/data && chmod u+x $DEST/data/wdt_new && $DEST/data/wdt_new -p 5 -t 3600 -m "$DEST/main" -n "$DEST/inbiocomm"
fi
		

